## ros-noetic-image-rotate 1.17.0

=== debian/changelog ===
ros-noetic-image-rotate (1.17.0-1focal) focal; urgency=high

  * Switch to hpp headers of pluginlib
  * Fix tf2 dependency for image_rotate
  * Switch to new boost/bind/bind.hpp
  * Contributors: Jochen Sprickerhof, Timo Röhling

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 17 Oct 2022 05:00:00 -0000

ros-noetic-image-rotate (1.16.0-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 12 Nov 2021 06:00:00 -0000

ros-noetic-image-rotate (1.15.3-1focal) focal; urgency=high

  * remove email blasts from steve macenski (#595 <https://github.com/ros-perception/image_pipeline/issues/595>)
  * Contributors: Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-noetic-image-rotate (1.15.2-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 May 2020 05:00:00 -0000

ros-noetic-image-rotate (1.15.1-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-noetic-image-rotate (1.15.0-1focal) focal; urgency=high

  * Python 3 compatibility (#530 <https://github.com/ros-perception/image_pipeline/issues/530>)
  * cmake_minimum_required to 3.0.2
  * Adapted to OpenCV4
  * import setup from setuptools instead of distutils-core
  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Joshua Whitley, Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 14 May 2020 05:00:00 -0000

ros-noetic-image-rotate (1.14.0-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-noetic-image-rotate (1.13.0-1focal) focal; urgency=high

  * Merge pull request #382 <https://github.com/ros-perception/image_pipeline/issues/382> from garaemon/intiialzie-prev-stamp
    Fix tf timeout of image_rotate
  * Initialize prev_stamp_ as ros::Timw::now()
    * If prev_stamp_ is initialized as 0.0, tf may wait transformation for
    long duration at the first time. In order to give up the wait in
    reasonable duration, initialize prev_stamp_ as current time.
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Contributors: Joshua Whitley, Ryohei Ueda, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-noetic-image-rotate (1.12.23-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-noetic-image-rotate (1.12.22-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-noetic-image-rotate (1.12.21-1focal) focal; urgency=high

  * [image_rotate] Added TF timeout so that transforms only need to be newer than last frame. (#293 <https://github.com/ros-perception/image_pipeline/issues/293>)
  * Contributors: mhosmar-cpr

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-noetic-image-rotate (1.12.20-1focal) focal; urgency=high

  * Fix CMake warnings about Eigen.
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-noetic-image-rotate (1.12.19-1focal) focal; urgency=high

  * Fix frames if it is empty to rotate image
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-noetic-image-rotate (1.12.18-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-noetic-image-rotate (1.12.17-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-noetic-image-rotate (1.12.16-1focal) focal; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-noetic-image-rotate (1.12.15-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-noetic-image-rotate (1.12.14-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-noetic-image-rotate (1.12.13-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-noetic-image-rotate (1.12.12-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-noetic-image-rotate (1.12.11-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-noetic-image-rotate (1.12.10-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000

ros-noetic-image-rotate (1.12.9-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-noetic-image-rotate (1.12.8-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 Aug 2014 05:00:00 -0000

ros-noetic-image-rotate (1.12.6-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Jul 2014 05:00:00 -0000

ros-noetic-image-rotate (1.12.4-1focal) focal; urgency=high




